# User Status Online

Module provides View field to views and Pseudo field to display user online status


This module provide a status based on strategy pattern and default display three different strategy: 
if user is online then display: online status
if user is offline then display: offline status
if user is only absent then display: absent status

You can easily add new own strategy created a new php class but I am going to move that functionality to admin ui.

All functionality is based on oop pattern so you can easily use that code somewhere in your module using:

```
<?php
$statusManager = new Status($user,$this->request);
$statusManager->addStrategy(new OnlineStrategy());
$statusManager->addStrategy(new OfflineStrategy());
$statusManager->addStrategy(new AbsentStrategy());
return $statusManager->getStatus();
?>
```
or you can put a service as a dependence in your code and run:
```
<?php
$status = $this->service->getStatus($user);
return $this->t($status);
?>
```
## Install
```
composer require drupal/user_status_online
```

## Authors

* **Adam Pietras** - *Initial work* - [PixelWeb](https://pixel-web.pl)

## License

This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details

## Acknowledgments

* Hat tip to anyone whose code was used
* Inspiration
* etc
